commit 68841125d8ba6168ae38de296273bdcd4df592c8
Author: Jeremy Harris <jgh146exb@wizmail.org>
Date:   Sun Nov 16 15:16:53 2025 +0000

        tidying

diff --git a/src/src/functions.h b/src/src/functions.h
index bd390cce6..73371cc7b 100644
--- a/src/src/functions.h
+++ b/src/src/functions.h
@@ -1080,7 +1080,7 @@ if (gstring_last_char(g) == c) gstring_trim(g, 1);
 static inline void
 gstring_reset(gstring * g)
 {
-g->ptr = 0;
+g->s[g->ptr = 0] = '\0';
 }
 
 
diff --git a/src/src/host.c b/src/src/host.c
index cfa2620df..28e08ee23 100644
--- a/src/src/host.c
+++ b/src/src/host.c
@@ -836,6 +836,7 @@ Returns:     pointer to character string
 uschar *
 host_ntoa(int type, const void * arg, uschar * buffer, int * portptr)
 {
+#define NTOA_BSIZE 46
 uschar * yield;
 
 /* The new world. It is annoying that we have to fish out the address from
@@ -845,7 +846,7 @@ function inet_ntoa() returns just uschar *, and some picky compilers insist
 on warning if one assigns a const uschar * to a uschar *. Hence the casts. */
 
 #if HAVE_IPV6
-uschar addr_buffer[46];
+uschar addr_buffer[NTOA_BSIZE];
 if (type < 0)
   {
   int family = ((struct sockaddr *)arg)->sa_family;
@@ -888,7 +889,7 @@ else
 
 /* If there is no buffer, put the string into some new store. */
 
-if (!buffer) buffer = store_get(46, GET_UNTAINTED);
+if (!buffer) buffer = store_get(NTOA_BSIZE, GET_UNTAINTED);
 
 /* Callers of this function with a non-NULL buffer must ensure that it is
 large enough to hold an IPv6 address, namely, at least 46 bytes. That's what
@@ -896,9 +897,10 @@ makes this use of strcpy() OK.
 If the library returned apparently an apparently tainted string, clean it;
 we trust IP addresses. */
 
-string_format_nt(buffer, 46, "%s", yield);
+string_format_nt(buffer, NTOA_BSIZE, "%s", yield);
 return buffer;
 }
+#undef NTOA_BSIZE
 
 
 
diff --git a/src/src/miscmods/dmarc_native.c b/src/src/miscmods/dmarc_native.c
index ce4aaee4f..617517d84 100644
--- a/src/src/miscmods/dmarc_native.c
+++ b/src/src/miscmods/dmarc_native.c
@@ -299,7 +299,6 @@ dmarc_process(void)
 {
 const uschar * rr;
 BOOL has_dmarc_record = TRUE;
-u_char ** ruf; /* forensic report addressees, if called for */
 
 dmarc_alignment_spf = dmarc_alignment_dkim = FALSE;
 dmarc_dkim_alignment = DMARC_POLICY_DKIM_ALIGNMENT_FAIL;
diff --git a/src/src/miscmods/pdkim/pdkim.c b/src/src/miscmods/pdkim/pdkim.c
index a43ea9bfb..a7ec5f511 100644
--- a/src/src/miscmods/pdkim/pdkim.c
+++ b/src/src/miscmods/pdkim/pdkim.c
@@ -1000,10 +1000,12 @@ else
       last_sig->next = sig;
       }
 
+    /* Check for too many signatures */
+
     if (dkim_collect_input && --dkim_collect_input == 0)
       {
       ctx->headers = pdkim_prepend_stringlist(ctx->headers, g->s);
-      g->s[g->ptr = 0] = '\0';
+      gstring_reset(g);
       return PDKIM_ERR_EXCESS_SIGS;
       }
     }
@@ -1013,7 +1015,7 @@ else
   }
 
 BAIL:
-g->s[g->ptr = 0] = '\0';	/* leave buffer for reuse */
+gstring_reset(g);	/* leave buffer for reuse */
 return PDKIM_OK;
 }
 

